/**
 * Copyright 2008,2009,2010,2011 Charles Amey
 * 
 * This file is part of Fuel Manager.
 * 
 * Fuel Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Fuel Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Fuel Manager.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef MONTHMODEL_H
#define MONTHMODEL_H

#include <QAbstractTableModel>

class QColor;

class MonthModel : public QAbstractTableModel
{
	Q_OBJECT
	public:
		MonthModel (QObject *parent=0);
		~MonthModel();
		
		int rowCount(const QModelIndex &parent=QModelIndex()) const;
		int columnCount(const QModelIndex &parent=QModelIndex()) const;
		void setModelData (QList < QVariant > d, QList< QColor > c);
		QVariant data(const QModelIndex &item,int role=Qt::DisplayRole) const;

		QVariant headerData(int section, Qt::Orientation orientation,int role) const;
		bool setHeaderData ( int section, Qt::Orientation orientation, const QVariant & value, int role = Qt::EditRole );
		
		void clearEverything();
		
	private:
		QList < QList<QVariant> > dataItems;
		QList < QList<QColor> > colors;
		QList <QVariant> verticalHeaders;
		QList <QVariant> horizontalHeaders;
};

#endif //MONTHMODEL_H
